Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Apr 2022 13:50:59 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 03 Apr 2022 15:56:35 +0530
> 
> > The %c format is only good for single-byte characters, which these
> > ones aren't.  Please use %x to print them (in hex).
> >
> 
> Will do, thanks.
> 
> > Also, I think printing everything is too much, and doesn't allow to
> > focus.  Please print only when the character's code is one of those
> > involved in the problematic display.
> 
> Unfortunately, the characters that are problematic tend to differ from
> each run.  Nevertheless, I will hand-pick the problematic characters and
> send it.

That'd be good.  We need a reproducible case to work with.

> >   if (chars[char_idx] == CHAR1
> >       || chars[char_idx] == CHAR2
> >       || chars[char_idx] == CHAR3)
> >     printf (...
> >
> > where CHAR1, CHAR2, and CHAR3 are the characters involved in the
> > problematic display, according to "C-u C-x =".
> >
> > May I suggest that you show me the code you add to hbfont.c before you
> > run it?  This would avoid unnecessary iterations for you.
> >
> 
> Sure,

This is okay, but please don't forget to add that 'if' condition.  I
think the characters involved in the composition, and in addition one
character on each side of those, should be enough.

Please show the final code, so that I could then interpret the
print-outs correctly.

Thanks.